Jump to content











Photo
- - - - -

Replace Expand with CopyOrExpand


  • Please log in to reply
3 replies to this topic

#1 Nuno Brito

Nuno Brito

    Platinum Member

  • .script developer
  • 10557 posts
  • Location:boot.wim
  • Interests:I'm just a quiet simple person with a very quiet simple life living one day at a time..
  •  
    European Union

Posted 10 June 2007 - 10:22 AM

Hi,

I've been doing some testings and the new CopyOrExpand command based on setupapi.dll can pratically replace the expand command which is a wrapper to expand.exe.

I guess the difference is that we don't need to call any shellexecute so it will work faster.

While expand to call CopyOrExpand (without modifying the project) it worked good enough only complaining about gina.dll file

Peter, do you think it would be appropriate to adapt nativeEx to these newer changes or it's preferable to wait for the stable release?

#2 pscEx

pscEx

    Platinum Member

  • Team Reboot
  • 12707 posts
  • Location:Korschenbroich, Germany
  • Interests:What somebody else cannot do.
  •  
    European Union

Posted 10 June 2007 - 10:27 AM

Peter, do you think it would be appropriate to adapt nativeEx to these newer changes or it's preferable to wait for the stable release?

I already did for Copy&Expand script. Works fine.

Do you mean every other script containinh 'expand'?

Peter

#3 Nuno Brito

Nuno Brito

    Platinum Member

  • .script developer
  • 10557 posts
  • Location:boot.wim
  • Interests:I'm just a quiet simple person with a very quiet simple life living one day at a time..
  •  
    European Union

Posted 10 June 2007 - 10:33 AM

I wasn't aware that you had already changed it.. (you're fast!) :1st:

#4 pscEx

pscEx

    Platinum Member

  • Team Reboot
  • 12707 posts
  • Location:Korschenbroich, Germany
  • Interests:What somebody else cannot do.
  •  
    European Union

Posted 10 June 2007 - 01:00 PM

I wasn't aware that you had already changed it.. (you're fast!) :1st:


CopyAndExpand.script version 011 is on the nativeEx server.

This script needs WinBuilder 071 beta 3 or newer.

The build exits in this script if you use an older version.

Peter




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users